
class MainWin : public UFrame { 
public:
  UAppli *appli;
  // the following fields must be explicitely initialized in the .cc
  // (because they are pointers)
  class MyStatusBar    *statusbar;
  class MyTreeDialog   *treeDial;
  class MyShareDialog  *shareDial;
  class MyLayoutDialog *layoutDial;

  // the following fields are implicitely initialized
  // (because they are NOT pointers)
  BrickDialog  brickDial;
  TextDialog   textDial;
  ChartDialog  chartDial;
  RuleDialog   ruleDial;
  DrawDialog   drawDial;
  UMenu        viewMenu;
  UScale mainScale;

  MainWin(UAppli*, ChartDialog::CHART *chartTab);

  void startStopTimer(UEvent&);
  void restoreColor(UEvent&);
  void newUbiqMainPage(UEvent&);
  void openShareDialog(UEvent&);
  void openLayoutDialog(UEvent&);
  void fgColorChanged();
};


